<?php


namespace FiloBlu\Referrals\Plugin\Magento\Invitation\Model;

use Magento\Invitation\Model\Invitation\Status;

class Invitation
{

    protected $_referralEmail;

    public function __construct(
        \FiloBlu\Referrals\Helper\Email $referralEmail
    )
    {
        $this->_referralEmail = $referralEmail;
    }

    public function afterAccept(
        \Magento\Invitation\Model\Invitation $subject,
        $result,
        $websiteId,
        $referralId
    ) {
        $status_accepted = Status::STATUS_ACCEPTED;
        $status = $result->getStatus();
        if ($status == $status_accepted){
            $sended = $this->_referralEmail->notify_invitation_receiver_by_referral_id($referralId);
        }
        return $result;
    }
}